# goreleaser

Deliver Go binaries as fast and easily as possible

## Synopsis

GoReleaser is a release automation tool for Go projects.
Its goal is to simplify the build, release and publish steps while providing variant customization options for all steps.

GoReleaser is built for CI tools, you only need to download and execute it in your build script. Of course, you can also install it locally if you wish.

You can customize your entire release process through a single .goreleaser.yaml file.

Check out our website for more information, examples and documentation: https://goreleaser.com


## Options

```
      --debug   Enable debug mode
  -h, --help    help for goreleaser
```

## See also

* [goreleaser announce](/cmd/goreleaser_announce/)	 - Announces a previously prepared release
* [goreleaser build](/cmd/goreleaser_build/)	 - Builds the current project
* [goreleaser changelog](/cmd/goreleaser_changelog/)	 - Preview your changelog
* [goreleaser check](/cmd/goreleaser_check/)	 - Checks if configuration is valid
* [goreleaser completion](/cmd/goreleaser_completion/)	 - Generate the autocompletion script for the specified shell
* [goreleaser continue](/cmd/goreleaser_continue/)	 - Continues a previously prepared release
* [goreleaser init](/cmd/goreleaser_init/)	 - Generates a .goreleaser.yaml file
* [goreleaser jsonschema](/cmd/goreleaser_jsonschema/)	 - outputs goreleaser's JSON schema
* [goreleaser publish](/cmd/goreleaser_publish/)	 - Publishes a previously prepared release
* [goreleaser release](/cmd/goreleaser_release/)	 - Releases the current project

